#include "WimaMeasurementAreaData.h"

const char *WimaMeasurementAreaData::typeString = "WimaMeasurementAreaData";

WimaMeasurementAreaData::WimaMeasurementAreaData(QObject *parent)
    : WimaAreaData(parent)
{

}

WimaMeasurementAreaData::WimaMeasurementAreaData(const WimaMeasurementAreaData &other, QObject *parent)
    : WimaAreaData (parent)
{
    *this = other;
}

WimaMeasurementAreaData::WimaMeasurementAreaData(const WimaMeasurementArea &other, QObject *parent)
    : WimaAreaData (parent)
{
    *this = other;
}

/*!
 * \overload operator=();
 *
 * Assigns \a other to the invoking object.
 */
WimaMeasurementAreaData &WimaMeasurementAreaData::operator=(const WimaMeasurementAreaData &other)
{
    assign(other);

    return *this;
}

/*!
 * \overload operator=();
 *
 * Assigns \a other to the invoking object.
 */
WimaMeasurementAreaData &WimaMeasurementAreaData::operator=(const WimaMeasurementArea &other)
{
    assign(other);

    return *this;
}

QString WimaMeasurementAreaData::type() const
{
    return this->typeString;
}

void WimaMeasurementAreaData::assign(const WimaMeasurementAreaData &other)
{
    WimaAreaData::assign(other);
}

void WimaMeasurementAreaData::assign(const WimaMeasurementArea &other)
{
    WimaAreaData::assign(other);
}




